<?php

require_once("../../includes/bootstrap.php");
$sesion = new sesion(); // inicio la sesion
if (!comprobar_sesion()) {
    $responce->page = 0;
    $responce->total = 0;
    $responce->records = "0";
    echo json_encode($response);
    exit();
} 
$academia = bootstrap::initBd($sesion->getVar("anio"));

$sede = filter_input(INPUT_GET, "sede");
$jornada = filter_input(INPUT_GET, "jornada");
$grupo = filter_input(INPUT_GET, "grupo");

$tipo = filter_input(INPUT_GET, 't');
//$nombre_grupo=$sesion->getVar('configuracion.nombres_grupos');

if ($tipo == 1) {
    $sql = "SELECT aca_estudiantes.genero_est, COUNT(aca_estudiantes.genero_est) AS Num_gen FROM aca_estudiantes GROUP BY aca_estudiantes.genero_est;";
} elseif ($tipo == 2) {
    $sql = "SELECT view_pag_estudiantes_activos.genero_est, COUNT(view_pag_estudiantes_activos.genero_est) AS Num_gen FROM view_pag_estudiantes_activos  WHERE 1=1";
    if (!empty($sede) && $sede !== '0x') {
        $sql.=" AND cod_sede= " . $sede;
    } 

    if (!empty($jornada) && $jornada !== '0x') {
        $sql.=" AND cod_jornada= " . $jornada;
    } 

    if (!empty($grupo) && $grupo !== '0x') {
        $sql.=" AND cod_grupo= " . $grupo;
    }

    $sql.=" GROUP BY view_pag_estudiantes_activos.genero_est ";
}


//echo $sql;
$academia->instruccion($sql);
$datas = array();
$per = 0;
$i = 0;
$f = 0;
$h = 0;
$n = 0;
while ($reg = $academia->extraer_registro()) {
    if ($reg['genero_est'] == 'F') {
        $f = (int) $reg['Num_gen'];
    } elseif ($reg['genero_est'] == 'M') {
        $h = (int) $reg['Num_gen'];
    } else {
        $n = (int) $reg['Num_gen'];
    }
}
$datas['series'][0]["name"] = "hm";

if (empty($n)) {
    $datas['category'] = array('Hombres', 'Mujeres');
    $datas['series'][0]["data"] = array(array('y' => $h), array('y' => $f, 'color' => '#BF0B23'));
} else {
    $datas['category'] = array('Hombres', 'Mujeres', 'Desconocido');
    $datas['series'][0]["data"] = array(array('y' => $h), array('y' => $f, 'color' => '#BF0B23'), $n);
}
if ($sesion->get('ac_usuario') == 'prointel') {
    $datas["sql"] = $sql;
}

echo json_encode($datas);
